VUZDevelopers

Get dashboard stats

GET
/inventory/stock/dashboard

Get enhanced inventory dashboard statistics including recent movements

X-Api-Key<token>

Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.

In: header

Header Parameters

x-business-id*string

Business ID

Response Body

application/json

curl -X GET "https://example.com/inventory/stock/dashboard" \  -H "x-business-id: string"
{  "totalProducts": 0,  "totalValue": 0,  "lowStockCount": 0,  "needsReorderCount": 0,  "outOfStockCount": 0,  "movementsLast30Days": 0,  "warehouseBreakdown": [    {      "warehouseId": "string",      "warehouseName": "string",      "productCount": 0,      "totalValue": 0    }  ],  "recentMovements": [    {      "id": "string",      "movementType": "string",      "quantity": 0,      "productName": "string",      "productSku": "string",      "warehouseName": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}